"use strict";

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn("RealEstates", "publishedDate", {
        type: Sequelize.DATE
      }),
      queryInterface.addColumn("RealEstates", "renewedDate", {
        type: Sequelize.DATE
      })
    ]);
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn("RealEstates", "renewedDate"),
      queryInterface.removeColumn("RealEstates", "publishedDate")
    ]);
  }
};
